aboutsummaryrefslogtreecommitdiffstats
path: root/main/openvswitch/ifupdown-alpine.patch
blob: decc15c13df82566f29539970778985d3f2d9983 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
--- openvswitch-2.3.2/debian/ifupdown.sh	2015-06-18 19:32:47.000000000 +0000
+++ openvswitch-2.3.2/debian/ifupdown.sh.new	2015-08-17 15:56:59.703461309 +0000
@@ -29,8 +29,10 @@ if (ovs_vsctl --version) > /dev/null 2>&
     exit 0
 fi
 
-if /etc/init.d/openvswitch-switch status > /dev/null 2>&1; then :; else
-    /etc/init.d/openvswitch-switch start
+if ! /etc/init.d/ovs-vswitchd status &>/dev/null; then
+    /etc/init.d/ovs-modules start
+    /etc/init.d/ovsdb-server start
+    /etc/init.d/ovs-vswitchd start
 fi
 
 if [ "${MODE}" = "start" ]; then
@@ -42,7 +44,8 @@ if [ "${MODE}" = "start" ]; then
                          ${OVS_EXTRA+-- $OVS_EXTRA}
 
                 if [ ! -z "${IF_OVS_PORTS}" ]; then
-                    ifup --allow="${IFACE}" ${IF_OVS_PORTS}
+#                   ifup --allow="${IFACE}" ${IF_OVS_PORTS}
+                    ifup ${IF_OVS_PORTS}
                 fi
                 ;;
         OVSPort)
@@ -84,7 +87,8 @@ elif [ "${MODE}" = "stop" ]; then
     case "${IF_OVS_TYPE}" in
         OVSBridge)
                 if [ ! -z "${IF_OVS_PORTS}" ]; then
-                    ifdown --allow="${IFACE}" ${IF_OVS_PORTS}
+#                   ifdown --allow="${IFACE}" ${IF_OVS_PORTS}
+                    ifdown ${IF_OVS_PORTS}
                 fi
 
                 ovs_vsctl -- --if-exists del-br "${IFACE}"